Bug 1430225 - kernel: fix crash in uio_release
Summary: kernel: fix crash in uio_release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Mike Christie
QA Contact: Martin Hoyer
URL:
Whiteboard:
Depends On:
Blocks: 1408292 1449245 1468963
TreeView+ depends on / blocked
 
Reported: 2017-03-08 04:57 UTC by Mike Christie
Modified: 2017-08-02 05:50 UTC (History)
9 users (show)

Fixed In Version: kernel-3.10.0-690.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-02 05:50:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC

Description Mike Christie 2017-03-08 04:57:08 UTC
Description of problem:

We hit this crash when adding/deleting devices:

https://lkml.org/lkml/2015/3/11/514

The problem is that target_core_user calls tcmu_free_device -> tcmu_netlink_event (TCMU_CMD_REMOVED_DEVICE) -> uio_unregister_device. It does not wait for the TCMU_CMD_REMOVED_DEVICE userspace handler to close the uio device, so if the uio_unregister_device is faster than userspace we will hit the uio_release crash because the uio_device will be freed.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 14 Rafael Aquini 2017-06-29 03:05:28 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 16 Rafael Aquini 2017-06-29 12:34:16 UTC
Patch(es) available on kernel-3.10.0-690.el7

Comment 18 Martin Hoyer 2017-07-04 08:18:58 UTC
Regression tests on RHEL-7.4-20170630.1 w/ kernel-3.10.0-691.el7 have not found any new issue. Moving to VERIFIED as per comment#11

Comment 20 errata-xmlrpc 2017-08-02 05:50:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1842


Note You need to log in before you can comment on or make changes to this bug.